import { StiFormElement } from "../elements/base/StiFormElement";
import { StiModelService } from "./model.service";
import { StiFormPageElement } from "../elements/StiFormPageElement";
import { StiForm } from "../elements/StiForm";
import * as i0 from "@angular/core";
export declare class StiNameService {
    model: StiModelService;
    constructor(model: StiModelService);
    getElementName(component: StiFormElement | StiFormPageElement, prefix?: string): string;
    checkElementName(element: StiFormElement): string;
    static getElementName2(component: StiFormElement | StiFormPageElement, form: StiForm, prefix?: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiNameService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiNameService>;
}
